<?php

ob_start();
ini_set("date.timezone", "PRC"); 
require_once("config.php");

function get_conn()
{
    $conn = new mysqli(conf::dbhost,
        conf::dbuser, conf::dbpass, conf::dbname);
    if (!$conn) 
    {
        die("error while connecting to database:" . mysqli_connect_error());
    }
    exec_sql($conn, "SET NAMES utf8");
    return $conn;
}

function exec_sql($conn, $sql)
{
    if ($conn) 
    {
        $result = $conn->query($sql);
        if ($conn->errno)
        {
            echo <<<eot
error while query({$conn->errno}): {$conn->error}
SQL: $sql
eot;
            exit;
        }
        return $result;
    }
    else
    {
        die("supplied invalid mysqli object");
    }
}
?>
